##### windows::basic_random_access_handle::basic_random_access_handle (2 of 5 overloads)

Construct a random-access handle without opening it.

    template<
        typename ExecutionContext>
    basic_random_access_handle(
        ExecutionContext & context,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value, basic_random_access_handle >::type *  = 0);

This constructor creates a random-access handle without opening it. The handle needs to be opened or assigned before data can be sent or received on it.

###### Parameters

context

  An execution context which provides the I/O executor that the random-access handle will use, by default, to dispatch handlers for any asynchronous operations performed on the random-access handle.